CVE-2015-1793

MEDIUM

Description

The X509_verify_cert function in crypto/x509/x509_vfy.c in OpenSSL 1.0.1n, 1.0.1o, 1.0.2b, and 1.0.2c does not properly process X.509 Basic Constraints cA values during identification of alternative certificate chains, which allows remote attackers to spoof a Certification Authority role and trigger unintended certificate verifications via a valid leaf certificate.

References

http://fortiguard.com/advisory/2015-07-09-cve-2015-1793-openssl-alternative-chains-certificate-forgery

http://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2015-008.txt.asc

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10694

http://lists.fedoraproject.org/pipermail/package-announce/2015-July/161747.html

http://lists.fedoraproject.org/pipermail/package-announce/2015-July/161782.html

http://marc.info/?l=bugtraq&m=143880121627664&w=2

http://marc.info/?l=bugtraq&m=144370846326989&w=2

http://openssl.org/news/secadv_20150709.txt

http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20150710-openssl

http://www.fortiguard.com/advisory/2015-07-09-cve-2015-1793-openssl-alternative-chains-certificate-forgery

http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html

http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html

http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html

http://www.oracle.com/technetwork/topics/security/bulletinjul2015-2511963.html

http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html

http://www.securityfocus.com/bid/75652

http://www.securityfocus.com/bid/91787

http://www.securitytracker.com/id/1032817

http://www.slackware.com/security/viewer.php?l=slackware-security&y=2015&m=slackware-security.561427

http://www1.huawei.com/en/security/psirt/security-bulletins/security-advisories/hw-454058.htm

https://git.openssl.org/?p=openssl.git;a=commit;h=9a0db453ba017ebcaccbee933ee6511a9ae4d1c8

https://h20564.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c04822825

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05045763

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05184351

https://help.ecostruxureit.com/display/public/UADCO8x/StruxureWare+Data+Center+Operation+Software+Vulnerability+Fixes

https://kc.mcafee.com/corporate/index?page=content&id=SB10125

https://security.gentoo.org/glsa/201507-15

https://www.exploit-db.com/exploits/38640/

https://www.freebsd.org/security/advisories/FreeBSD-SA-15:12.openssl.asc

Details

Source: MITRE

Published: 2015-07-09

Updated: 2018-11-30

Type: CWE-254

Risk Information

CVSS v2.0

Base Score: 6.4

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:N

Impact Score: 4.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3.0

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N

Impact Score: 2.5

Exploitability Score: 3.9

Severity: MEDIUM

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
90150HP System Management Homepage < 7.5.4 Multiple Vulnerabilities (Logjam)NessusWeb Servers
critical
88043Oracle Enterprise Manager Cloud Control Multiple Vulnerabilities (January 2016 CPU)NessusMisc.
medium
87525SUSE SLED11 / SLES11 Security Update : mysql (SUSE-SU-2015:2303-1)NessusSuSE Local Security Checks
high
87442openSUSE Security Update : mysql (openSUSE-2015-889) (BACKRONYM)NessusSuSE Local Security Checks
high
86660Oracle MySQL 5.6.x < 5.6.26 Multiple Vulnerabilities (October 2015 CPU)NessusDatabases
high
86547MySQL 5.6.x < 5.6.27 Multiple VulnerabilitiesNessusDatabases
high
86105Cisco Prime Security Manager OpenSSL Alternative Chains Certificate Forgery (cisco-sa-20150710-openssl)NessusCGI abuses
medium
86104Cisco ASA Next-Generation Firewall OpenSSL Alternative Chains Certificate Forgery (cisco-sa-20150710-openssl)NessusCISCO
medium
86084GLSA-201507-15 : OpenSSL: Alternate chains certificate forgeryNessusGentoo Local Security Checks
medium
85685Cisco Virtual Security Gateway OpenSSL Alternative Certificate Validation Bypass (cisco-sa-20150710-openssl)NessusCISCO
medium
85581Splunk Enterprise < 5.0.14 / 6.0.10 / 6.1.9 / 6.2.5 or Splunk Light < 6.2.5 Multiple VulnerabilitiesNessusCGI abuses
medium
85565Tenable SecurityCenter Alternative Certificate Validation Bypass Vulnerability (TNS-2015-08)NessusMisc.
medium
84691Fedora 22 : openssl-1.0.1k-11.fc22 (2015-11475)NessusFedora Local Security Checks
medium
84690Fedora 21 : openssl-1.0.1k-11.fc21 (2015-11414)NessusFedora Local Security Checks
medium
84651FreeBSD : openssl -- alternate chains certificate forgery vulnerability (075952fe-267e-11e5-9d03-3c970e169bc2)NessusFreeBSD Local Security Checks
medium
84647Amazon Linux AMI : openssl (ALAS-2015-564)NessusAmazon Linux Local Security Checks
medium
84646Slackware 14.0 / 14.1 / current : openssl (SSA:2015-190-01)NessusSlackware Local Security Checks
medium
84637OpenSSL 1.0.2 < 1.0.2d Multiple VulnerabilitiesNessusWeb Servers
medium
84636OpenSSL 1.0.1 < 1.0.1p Multiple VulnerabilitiesNessusWeb Servers
medium